Bug 620324 - ovirt engine - While host is down and we try to activate it in the GUI the user get response only after 1 min
ovirt engine - While host is down and we try to activate it in the GUI the u...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
All Windows
low Severity medium
: ---
: ---
Assigned To: lpeer
infra
: EasyFix, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 04:03 EDT by Daniel Shoshan
Modified: 2012-12-11 01:40 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 01:40:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Shoshan 2010-08-02 04:03:41 EDT
Description of problem:
I have a host that is currently down and appears in the GUI in maintenance mode.
I tried to activate the host but nothing happened, no event, the host didn't changed its status, it seems like the button didn't work at all - only if i look in the rhevx log i could see that the backend actually run the command. 
And only after more than one min - the host moves to non-responsive.
The backend try to communicate with the host, since the host is down there is a network timeout (i think 1 min) - so in case the host is down or has network issues the user won't see any response from the GUI for 1 min after trying to activate the host.

How reproducible:
always

Steps to Reproduce:
1. add one host to the VDC
2. move the host to maintenance and shut the host down
3. try to activate the host in the GUI (while the host is still down)
  
Actual results:
After one min the host would move to non-responsive.

Expected results:
The user should see some how that the activate command was sent immediately - for example the host can move to unassigned status immediately and then if it doesn't response after 1 min the host would move to non-responsive.
The user should know that something happened, otherwise it seems like the GUI is not working and the user will try run the command again and again for no reason.
Comment 1 Daniel Shoshan 2010-08-02 04:42:42 EDT
If the user try to activate host - the user should be informed that the activate process has begun even if it takes time until the hosts status will be changed.
Comment 3 Itamar Heim 2010-10-25 00:31:59 EDT
should state change to activating?
Comment 4 Simon Grinberg 2011-02-08 04:04:41 EST
(In reply to comment #3)
> should state change to activating?

Or at least have the sandclock icon :)
Comment 5 Itamar Heim 2012-01-09 18:22:09 EST
Just having an event of "Activation of host XXX started" maybe good enough if this flow is still relevant.
Comment 6 Itamar Heim 2012-12-11 01:40:56 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.